# Uses of Interface
org.springframework.core.metrics.ApplicationStartup

Packages that use ApplicationStartup
Package
Description
org.springframework.core.metrics
Support package for recording metrics during application startup.
org.springframework.core.metrics.jfr
Support package for recording startup metrics using Java Flight Recorder.

## Uses of ApplicationStartup in org.springframework.core.metrics

Fields in org.springframework.core.metrics declared as ApplicationStartup
Modifier and Type
Field
Description
`static final ApplicationStartup`
ApplicationStartup.`DEFAULT`
Default "no op" `ApplicationStartup` implementation.

## Uses of ApplicationStartup in org.springframework.core.metrics.jfr

Classes in org.springframework.core.metrics.jfr that implement ApplicationStartup
Modifier and Type
Class
Description
`class`
`FlightRecorderApplicationStartup`
`ApplicationStartup` implementation for the Java Flight Recorder.